summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-01-12 08:54:05 +0100
committerRemi Collet <remi@remirepo.net>2021-01-12 08:54:05 +0100
commit4d643688b2a1f055af27bbe3aff48dfb67853217 (patch)
tree94d42942d492183fe50105a4277fae3c166c7f02
parentf97eefd3976f19673e22c0e443c2913103ab0ed7 (diff)
update to 2.8.0HEADmaster
raise dependency on PHP 7.3 raise dependency on laminas-zendframework-bridge 1.1 switch to phpunit9
-rw-r--r--composer.json12
-rw-r--r--php-laminas-dom.spec52
2 files changed, 38 insertions, 26 deletions
diff --git a/composer.json b/composer.json
index 64618bb..71bdacc 100644
--- a/composer.json
+++ b/composer.json
@@ -25,12 +25,14 @@
}
},
"require": {
- "php": "^5.6 || ^7.0",
- "laminas/laminas-zendframework-bridge": "^1.0"
+ "php": "^7.3 || ~8.0.0",
+ "ext-dom": "*",
+ "ext-libxml": "*",
+ "laminas/laminas-zendframework-bridge": "^1.1"
},
"require-dev": {
- "laminas/laminas-coding-standard": "~1.0.0",
- "phpunit/phpunit": "^5.7.23 || ^6.4.3"
+ "laminas/laminas-coding-standard": "^2.1.4",
+ "phpunit/phpunit": "^9.4.3"
},
"autoload": {
"psr-4": {
@@ -53,6 +55,6 @@
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
"replace": {
- "zendframework/zend-dom": "self.version"
+ "zendframework/zend-dom": "^2.7.2"
}
}
diff --git a/php-laminas-dom.spec b/php-laminas-dom.spec
index f0c9e09..312314e 100644
--- a/php-laminas-dom.spec
+++ b/php-laminas-dom.spec
@@ -1,13 +1,13 @@
# remirepo/Fedora spec file for php-laminas-dom
#
-# Copyright (c) 2015-2020 Remi Collet
+# Copyright (c) 2015-2021 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 631fa74ae6f68e9019b73512f1b3b139d43f3572
+%global gh_commit 7e85e8d7d2980c716944b8bb8e4a83c0a0dbe91b
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-dom
@@ -22,8 +22,8 @@
%endif
Name: php-%{gh_project}
-Version: 2.7.2
-Release: 2%{?dist}
+Version: 2.8.0
+Release: 1%{?dist}
Summary: Laminas Framework %{library} component
License: BSD
@@ -34,41 +34,44 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 5.6
+BuildRequires: php(language) >= 7.3
+BuildRequires: php-dom
+BuildRequires: php-libxml
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.1 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# remirepo:3
%else
BuildRequires: php-laminas-zendframework-bridge
%endif
-BuildRequires: php-dom
-BuildRequires: php-libxml
BuildRequires: php-pcre
BuildRequires: php-spl
# From composer, "require-dev": {
-# "laminas/laminas-coding-standard": "~1.0.0",
-# "phpunit/phpunit": "^5.7.23 || ^6.4.3"
-%global phpunit %{_bindir}/phpunit6
-BuildRequires: %{phpunit}
+# "laminas/laminas-coding-standard": "^2.1.4",
+# "phpunit/phpunit": "^9.4.3"
+%global phpunit %{_bindir}/phpunit9
+BuildRequires: phpunit9 >= 9.4.3
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
+# "php": "^7.3 || ~8.0.0",
+# "ext-dom": "*",
+# "ext-libxml": "*",
+# "laminas/laminas-zendframework-bridge": "^1.1"
# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+Requires: php(language) >= 7.3
+Requires: php-dom
+Requires: php-libxml
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.1 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# remirepo:3
%else
Requires: php-laminas-zendframework-bridge
%endif
# From phpcompatinfo report for version 2.7.2
-Requires: php-dom
-Requires: php-libxml
Requires: php-pcre
Requires: php-spl
# Autoloader
@@ -78,8 +81,8 @@ Requires: php-composer(fedora/autoloader)
Obsoletes: php-ZendFramework2-%{library} < 2.5
Provides: php-ZendFramework2-%{library} = %{version}
# Compatibily ensure by the bridge
-Obsoletes: php-zendframework-%{zf_name} < 2.7.2-99
-Provides: php-zendframework-%{zf_name} = %{version}-99
+Obsoletes: php-zendframework-%{zf_name} < 2.7.3
+Provides: php-zendframework-%{zf_name} = %{version}
Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
Provides: php-composer(zendframework/%{zf_name}) = %{version}
Provides: php-autoloader(%{gh_owner}/%{gh_project}) = %{version}
@@ -135,10 +138,10 @@ EOF
: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" php72 php73 php74; do
+for cmdarg in "php %{phpunit}" php73 php74 php80; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit6} --verbose || ret=1
+ $1 ${2:-%{_bindir}/phpunit9} --verbose || ret=1
fi
done
@@ -155,6 +158,7 @@ exit $ret
%files
+# remirepo:1
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md
@@ -164,6 +168,12 @@ exit $ret
%changelog
+* Tue Jan 12 2021 Remi Collet <remi@remirepo.net> - 2.8.0-1
+- update to 2.8.0
+- raise dependency on PHP 7.3
+- raise dependency on laminas-zendframework-bridge 1.1
+- switch to phpunit9
+
* Fri Jan 17 2020 Remi Collet <remi@remirepo.net> - 2.7.2-2
- cleanup